#
# spec file for package logwatch
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           logwatch
Summary:        Analyzes and Reports on system logs
License:        MIT
Group:          System/Monitoring
Version:        7.4.3
Release:        lp152.4.2
Url:            http://www.logwatch.org
BuildArch:      noarch
Source0:        http://sourceforge.net/projects/logwatch/files/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
Source2:        Logwatch_Dmeventd_Setup_Files.tar.xz
Source3:        logwatch-7.4.2.changelog
Source4:        logwatch-7.4.3.changelog
Patch0:         logwatch-firewall.patch
Patch2:         logwatch-timestamp_in_var.patch
Patch3:         logwatch-dmeventd-reduce_frequency.patch
Requires:       cron
Requires:       grep
Requires:       mailx
Requires:       perl
Requires:       perl-Date-Manip
Requires:       sh-utils
Requires:       textutils
BuildRequires:  dos2unix
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Logwatch is a customizable, pluggable log-monitoring system. It will go
through your logs for a given period of time and make a report in the
areas that you wish with the detail that you wish.

%prep
%setup -q -a 2
chmod u+w Logwatch_Setup_Files/*
%patch0
%patch2
%patch3
dos2unix scripts/services/courier
cp %{S:3} %{S:4} .

%build

%install
install -m 0755 -d %{buildroot}%{_var}/cache/logwatch
install -m 0755 -d %{buildroot}%{_sysconfdir}/logwatch/scripts
install -m 0755 -d %{buildroot}%{_sysconfdir}/logwatch/conf
install -m 0755 -d %{buildroot}%{_sysconfdir}/logwatch/conf/logfiles
install -m 0755 -d %{buildroot}%{_sysconfdir}/logwatch/conf/services
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/default.conf/logfiles
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/default.conf/services
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/default.conf/html
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/dist.conf/logfiles
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/dist.conf/services
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/scripts/services
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/scripts/shared
install -m 0755 -d %{buildroot}%{_datadir}/logwatch/lib
install -m 0755 -d %{buildroot}/var/lib/logwatch
install -m 0755 scripts/logwatch.pl %{buildroot}%{_datadir}/logwatch/scripts/logwatch.pl
for i in scripts/logfiles/* ; do
   if [ $(ls $i | wc -l) -ne 0 ] ; then
      install -m 0755 -d %{buildroot}%{_datadir}/logwatch/$i
      install -m 0755 $i/* %{buildroot}%{_datadir}/logwatch/$i
   fi
done
install -m 0755 scripts/services/* %{buildroot}%{_datadir}/logwatch/scripts/services
install -m 0755 Logwatch_Setup_Files/dmeventd %{buildroot}%{_datadir}/logwatch/scripts/services
install -m 0755 scripts/shared/* %{buildroot}%{_datadir}/logwatch/scripts/shared
install -m 0755 lib/* %{buildroot}%{_datadir}/logwatch/lib
install -m 0644 conf/*.conf %{buildroot}%{_datadir}/logwatch/default.conf
install -m 0644 conf/logfiles/* %{buildroot}%{_datadir}/logwatch/default.conf/logfiles
install -m 0644 conf/services/* %{buildroot}%{_datadir}/logwatch/default.conf/services
install -m 0644 Logwatch_Setup_Files/dmeventd.conf %{buildroot}%{_datadir}/logwatch/default.conf/services
install -m 0644 conf/html/* %{buildroot}%{_datadir}/logwatch/default.conf/html
install -m 0755 -d %{buildroot}%{_mandir}/man8
install -m 0644 logwatch.8 %{buildroot}%{_mandir}/man8
rm -f   %{buildroot}%{_sysconfdir}/cron.daily/logwatch \
   %{buildroot}%{_sbindir}/logwatch
install -m 0755 -d %{buildroot}%{_sysconfdir}/cron.daily
ln -s %{_datadir}/logwatch/scripts/logwatch.pl %{buildroot}%{_sysconfdir}/cron.daily/0logwatch
install -m 0755 -d %{buildroot}%{_sbindir}
install -m 0755 -d %{buildroot}%{_sysconfdir}/cron.d
install -m 0644 Logwatch_Setup_Files/dmeventd_cronjob.txt %{buildroot}%{_sysconfdir}/cron.d/dmeventd
ln -s %{_datadir}/logwatch/scripts/logwatch.pl %{buildroot}%{_sbindir}/logwatch
echo "###### REGULAR EXPRESSIONS IN THIS FILE WILL BE TRIMMED FROM REPORT OUTPUT #####" > %{buildroot}%{_sysconfdir}/logwatch/conf/ignore.conf
echo "# Local configuration options go here (defaults are in %{_datadir}/logwatch/default.conf/logwatch.conf)" > %{buildroot}%{_sysconfdir}/logwatch/conf/logwatch.conf
echo "# Configuration overrides for specific logfiles/services may be placed here." > %{buildroot}%{_sysconfdir}/logwatch/conf/override.conf
#

%files
%defattr(-,root,root)
%doc README HOWTO-Customize-LogWatch logwatch-7.4.2.changelog logwatch-7.4.3.changelog
%dir %{_var}/cache/logwatch
%dir %{_sysconfdir}/logwatch
%dir %{_sysconfdir}/logwatch/scripts
%dir %{_sysconfdir}/logwatch/conf
%dir %{_sysconfdir}/logwatch/conf/logfiles
%dir %{_sysconfdir}/logwatch/conf/services
%dir %{_datadir}/logwatch
%dir %{_datadir}/logwatch/default.conf
%dir %{_datadir}/logwatch/default.conf/services
%dir %{_datadir}/logwatch/default.conf/logfiles
%dir %{_datadir}/logwatch/default.conf/html
%dir %{_datadir}/logwatch/dist.conf
%dir %{_datadir}/logwatch/dist.conf/services
%dir %{_datadir}/logwatch/dist.conf/logfiles
%dir %{_datadir}/logwatch/scripts
%dir %{_datadir}/logwatch/scripts/logfiles
%dir %{_datadir}/logwatch/scripts/services
%dir %{_datadir}/logwatch/scripts/shared
%dir %{_datadir}/logwatch/scripts/logfiles/*
%dir %{_datadir}/logwatch/lib
%dir /var/lib/logwatch
%config %{_sysconfdir}/cron.d/dmeventd
%{_datadir}/logwatch/scripts/logwatch.pl
%{_sbindir}/logwatch
%{_datadir}/logwatch/scripts/shared/*
%{_datadir}/logwatch/scripts/services/*
%{_datadir}/logwatch/scripts/logfiles/*/*
%{_datadir}/logwatch/lib/Logwatch.pm
%{_datadir}/logwatch/default.conf/*.conf
%{_datadir}/logwatch/default.conf/services/*.conf
%{_datadir}/logwatch/default.conf/logfiles/*.conf
%{_datadir}/logwatch/default.conf/html/*.html
%{_sysconfdir}/cron.daily/0logwatch
%doc %{_mandir}/man8/logwatch.8*
%config(noreplace) %{_sysconfdir}/logwatch/conf/*.conf

%changelog
* Thu Jan 18 2018 dimstar@opensuse.org
- Remove duplicate BuildArch: noarch.
* Fri Jan 20 2017 bwiedemann@suse.com
- Drop USEDFORBUILD as it breaks build-compare
  when any of the 113 build dependencies changed
* Mon May  2 2016 pth@suse.de
- Update to 7.4,3 (fate#320641)
  List of changes in 7.4.2 is long so please so please see
  logwatch-7.4.2.changelog in /usr/src/packages/logwatch.
  Changes for 7.4.3:
  [kernel] Fix default Ignore_messages value to not match anything
- Removed logwatch-http.patch as the fix is in upstream code.
* Tue Sep  1 2015 manfred.h@gmx.net
- Add new patch to deal with Perl's pickyness regarding curly
  brackets in patterns (logwatch-http.patch).
* Fri Feb 20 2015 p.drouand@gmail.com
- Update to version 7.4.1
  * No changelog available
- Remove logwatch-parse_rsyslog_timestamps.patch; merged on upstream
  release
- Spec file clean up
  * Remove obsolete macros
  * Remove redundant %%clean section
* Mon Dec  2 2013 tbehrens@suse.com
- Update logwatch-firewall.patch to prevent 'Removing duplicate
  Archive file' warning.
* Mon Jun 17 2013 pth@suse.de
- Add logwatch-parse_rsyslog_timestamps.patch that makes logwatch
  understand the default timestamp format of newer rsyslog versions
  (bnc#818842).
* Tue Dec 18 2012 robert.munteanu@gmail.com
- Added logwatch-dmeventd-reduce_frequency.patch to reduce false
  positives from dmeventd when a long logwatch run is in progress
* Mon Oct 17 2011 pth@suse.de
- Update to 7.4.0 which is the official release with the fix for
  CVE-2011-1018.
- Fix cron.d file to state the user to run dmeventd as (bnc#724164).
- Fix file list for 7.4.0.
* Sun Feb 27 2011 jslaby@suse.de
- Fix CVE-2011-1018 patch (missing parenthesis)
* Fri Feb 25 2011 pth@suse.de
- Add patch to fix the handling of special characters in log files
  (CVE-2011-1018, bnc#674984).
- Make files in Logwatch_Dmeventd_Setup_Files tarball 644 and
  repack with bzip2.
* Tue Feb  1 2011 pth@suse.de
- Fix Requires for SLE10.
* Mon May 10 2010 pth@novell.com
- Require perl-Date-Manip (bnc#603959).
* Tue Dec  1 2009 pth@suse.de
- --print was set by default and in that case redirection to file
  never happened (bnc#450413).
* Sun Aug 30 2009 coolo@novell.com
- use %%patch0 for Patch0
* Mon Jan 19 2009 pth@suse.de
- Log timestamp of dmeventd in /var/lib/logwatch not
  /etc/logwatch/scripts/services.
- Add /var/lib/logwatch to file list (bnc#467272)
* Fri Jan 16 2009 pth@suse.de
- Fix a few typos in logwatch.conf
* Tue Jan 13 2009 pth@suse.de
- Call sendmail with full path (bnc#465127).
* Mon Oct 13 2008 pth@suse.de
- Add files to let logwatch capture DM events (fate#304214, bnc#434254)
* Tue Apr  8 2008 crrodriguez@suse.de
- logwatch does not watch anything without cron
* Mon Nov 12 2007 pth@suse.de
- Patch iptables.conf to also monitor the SUSE firewall logs (#334167)
- Update to 7.3.6:
  - Fixed bug with --mailto not working with printing now enabled by default
  - Fixed problem with the Samba filter
  - New services bfd, zz-runtime, evtsystem, evtsecurity, and evtapplication.
  - Default behavior is now to print output which means you will see the
    report if you run it from the command-line and when run from cron it will
    be emailed to you by the cron daemon.  You can change this through config
    or command-line options.
  - Substantial Postfix improvements and other minor changes and fixes
  - Numerous other filter improvements
  - Added dpkg, pix, denyhosts, and php services
* Thu Nov 23 2006 mge@suse.de
- check into autobuild
- update to 7.3.1
- FATE #300526
